## Getting Started Developing

1) Install Deno

	Run their shell script (note: as yourself, not root)

	```
	curl -fsSL https://deno.land/install.sh | sh
	```

	Or using Nix:

	```
	nix-shell -p deno
	```

2) Clone the repo:

	`git clone https://andyburke.dev/andyburke/autonomous.contact.git`

3) Start the server:

	`deno run task serve`

4) Navigate to http://localhost:8000

## TODO

- [ ] should everything be an event in a room?
- [X] sign up
- [X] check for logged in user session
- [X] log in
- [X] chat rooms
- [ ]   gif support
- [ ]   media uploads
- [ ]     local upload support (keep it simple for small instances)
- [ ]     S3 support (then self-host with your friends: https://garagehq.deuxfleurs.fr/)
- [ ]   try to select immediate sibling messages from the same user and hide mulitple avatars
- [X] chat messages
- [X] user profile page
- [ ]   profile editing
- [ ]   avatar uploads
- [ ]     local upload support (keep it simple for small instances)
- [ ]     S3 support (then self-host with your friends: https://garagehq.deuxfleurs.fr/)
- [ ] admin panel
- [ ]   add invite code generation
- [ ]   AC_REQUIRE_INVITE_CODE: boolean env var/setting
- [ ]   AC_DIRECTORY_SERVERS: |-separated list of directory servers to report to
          these central servers could be distributed directories - your town might run one,
		  your state, your country, or you could publish to a public one that is organized
		  around interests
- [ ] combined "bulletin board" instead of exchange/work?
- [ ]   post-it style notes with tag and keyword filtering?
- [ ] simple wiki for resources
- [ ] simple calendar with public/private event tracking
- [ ]   caldav support
